Gstreamer1.0 not working in Debian Testing Topic is solved

Support and discussions for the x86/x64 Linux version of Pale Moon and specific Linux distribution questions related to the browser.

Moderator: trava90

Forum rules
If your question is about general use of the browser and not specific to Linux, then please use the General Support board.
Locked
User avatar
troypulk
Fanatic
Fanatic
Posts: 239
Joined: 2014-09-19, 23:53
Location: Washington State, USA

Gstreamer1.0 not working in Debian Testing

Post by troypulk » 2016-04-11, 16:21

I have been trying to figure this out for a while now, so now I need the community's help.

I'm using SolydX EE 64bit which is Debian testing.

All the h264/mp4 and gstreamer files are installed and enable.gstreamer is set to true in about:config.

When I go here: http://www.quirksmode.org/html5/tests/video.html the H.264/MP4 video wants to work but it's just black, also the CPU jumps up to 50% when I click on the video to try and play it, if enable.gstreamer is set to false all video's work, just not the h264/mp4 ones.

These work in the 3 other browsers I have so I know it's not Debian's fault.

Does anyone else use Debian Testing?

What else is there to check?

Thanks
SolydX EE (64-bit) Xfce 4.12

Pale Moon 28.2.0a1 (64-bit) (2018-11-07)

User avatar
trava90
Contributing developer
Contributing developer
Posts: 1628
Joined: 2013-05-20, 18:19
Location: Earth
Contact:

Re: Gstreamer1.0 not working in Debian Testing

Post by trava90 » 2016-04-11, 16:36

What versions of GStreamer plugins and gst-libav do you have installed?

Also, is gstreamer1.0-vaapi installed? If so I'd recommend removing it.

User avatar
troypulk
Fanatic
Fanatic
Posts: 239
Joined: 2014-09-19, 23:53
Location: Washington State, USA

Re: Gstreamer1.0 not working in Debian Testing

Post by troypulk » 2016-04-11, 18:32

trava90 wrote:What versions of GStreamer plugins and gst-libav do you have installed?

Also, is gstreamer1.0-vaapi installed? If so I'd recommend removing it.
GStreamer plugins and gst-libav are a mixture of 1.6.3 and 1.8 but this makes no difference in my other browsers so that's why I posted this now instead of waiting for the rest of them getting to 1.8

Gstreamer1.0-vaapi is not installed.
SolydX EE (64-bit) Xfce 4.12

Pale Moon 28.2.0a1 (64-bit) (2018-11-07)

User avatar
trava90
Contributing developer
Contributing developer
Posts: 1628
Joined: 2013-05-20, 18:19
Location: Earth
Contact:

Re: Gstreamer1.0 not working in Debian Testing

Post by trava90 » 2016-04-11, 19:34

troypulk wrote:GStreamer plugins and gst-libav are a mixture of 1.6.3 and 1.8 but this makes no difference in my other browsers so that's why I posted this now instead of waiting for the rest of them getting to 1.8
FTR, if your other browsers include Firefox and Chrome, neither of those use GStreamer so it wouldn't make any difference.

I had a Debian testing VM setup and Pale Moon played video using GStreamer 1.x perfectly when all GStreamer packages were 1.6.3. Myself and one other person had no problems until Debian pushed out the gst-libav 1.8 update. I'll boot up my Debian testing VM again later tonight to double check, but I'm inclined to think that the fault lies with Debian mixing version numbers and that they are incompatible somehow.

User avatar
troypulk
Fanatic
Fanatic
Posts: 239
Joined: 2014-09-19, 23:53
Location: Washington State, USA

Re: Gstreamer1.0 not working in Debian Testing

Post by troypulk » 2016-04-11, 20:15

I agree with you, at first I was saying that the 1.6.3 and 1.8 were interfering with each other but the solydx forum was saying
if you could play h.264 file with gstreamer based video player (ex: totem) then it's a palemoon issue.
I'll just wait until 1.8 comes out then.
SolydX EE (64-bit) Xfce 4.12

Pale Moon 28.2.0a1 (64-bit) (2018-11-07)

User avatar
trava90
Contributing developer
Contributing developer
Posts: 1628
Joined: 2013-05-20, 18:19
Location: Earth
Contact:

Re: Gstreamer1.0 not working in Debian Testing

Post by trava90 » 2016-04-11, 20:39

troypulk wrote:I agree with you, at first I was saying that the 1.6.3 and 1.8 were interfering with each other but the solydx forum was saying
I booted my VM, and I do believe that the mix of version numbers somehow causes conflicts with ours/Mozilla's code (the last version of Firefox using GStreamer doesn't work either).
Off-topic:
I apologize if I seemed a little short tempered with you. It's just been a long day; no hostility was intended.

User avatar
troypulk
Fanatic
Fanatic
Posts: 239
Joined: 2014-09-19, 23:53
Location: Washington State, USA

Re: Gstreamer1.0 not working in Debian Testing

Post by troypulk » 2016-04-12, 01:39

trava90 wrote:I booted my VM, and I do believe that the mix of version numbers somehow causes conflicts with ours/Mozilla's code (the last version of Firefox using GStreamer doesn't work either).
Off-topic:
I apologize if I seemed a little short tempered with you. It's just been a long day; no hostility was intended.
No offense taken, honestly I didn't even notice.

Well, I downloaded this video http://www.html5videoplayer.net/html5vi ... ideo-test/

When using totem I get this error:
An error occurred
This file cannot be played over the network. Try downloading it locally first.
So it appears to still be in solydx's court.
SolydX EE (64-bit) Xfce 4.12

Pale Moon 28.2.0a1 (64-bit) (2018-11-07)

ipsirc

Re: Gstreamer1.0 not working in Debian Testing

Post by ipsirc » 2016-04-12, 03:26

I also get similar problems with Debian testing, and the solution is upgrade all gstreamer1.0 packages to version 1.8. Unfortunately not all new packages are in testing repo yet, but all are available in sid! So add sid repository to sources.list, and use the updated gstreamer packages ONLY. I've done this solution 2 of my debian testings.

For example:

Code: Select all

apt-cache policy gstreamer1.0-plugins-good
gstreamer1.0-plugins-good:
  Installed: 1.8.0-1+b1
  Candidate: 1.8.0-1+b1
  Version table:
 *** 1.8.0-1+b1 100
         99 http://ftp.fi.debian.org/debian sid/main i386 Packages
        100 /var/lib/dpkg/status
     1.6.3-1 500
        500 http://httpredir.debian.org/debian stretch/main i386 Packages
     1.4.4-2 400
        400 http://packages.devuan.org/merged jessie/main i386 Packages

User avatar
troypulk
Fanatic
Fanatic
Posts: 239
Joined: 2014-09-19, 23:53
Location: Washington State, USA

Re: Gstreamer1.0 not working in Debian Testing

Post by troypulk » 2016-04-14, 05:02

Debian testing upgraded the necessary gstreamer1.0 files from 1.6.3 to 1.8 today, h264/mp4 now works in Pale Moon.
SolydX EE (64-bit) Xfce 4.12

Pale Moon 28.2.0a1 (64-bit) (2018-11-07)

User avatar
trava90
Contributing developer
Contributing developer
Posts: 1628
Joined: 2013-05-20, 18:19
Location: Earth
Contact:

Re: Gstreamer1.0 not working in Debian Testing

Post by trava90 » 2016-04-14, 14:10

Awesome! Thanks for verifying! :thumbup:

Locked